# object.h File Reference

`#include <glibmm.h>`
`#include <gst/gstobject.h>`
`#include <glibmm/object.h>`
`#include <libxml++/nodes/node.h>`

Go to the source code of this file.

## Classes

class | Gst::Object
| Gst::Object - Base class for the GStreamer object hierarchy. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::ObjectFlags { Gst::OBJECT_DISPOSING = 1<<0, Gst::OBJECT_FLOATING = 1<<1, Gst::OBJECT_FLAG_LAST = 1<<4 }

## Functions

ObjectFlags | Gst::operator| (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator& (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator^ (ObjectFlags lhs, ObjectFlags rhs)
ObjectFlags | Gst::operator~ (ObjectFlags flags)
ObjectFlags& | Gst::operator|= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator&= (ObjectFlags& lhs, ObjectFlags rhs)
ObjectFlags& | Gst::operator^= (ObjectFlags& lhs, ObjectFlags rhs)